%define name gfax
%define version 0.4.2
%define release 4mdk

Name:		%{name}
Summary:	The GNOME FAX program.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://www.gmsys.com
Source:		%{name}-%{version}.tar.bz2
#(fc) 0.4.2-2mdk patch to compile with latest gcc/glibc
Patch0:		gfax-0.4.2-glibc.patch.bz2
Requires:	gnome-libs >= 1.0.40 libglade >= 0.7
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
Gfax is a popup tool for GNOME that easily sending facsimilies by printing to 
a fax printer.  Requires Mgetty+Sendfax or Hylafax to actually send faxes.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p 1 -b .glibc

%build


%configure

%make


%install

%makeinstall

%{find_lang} %{name} --with-gnome

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/gfax" \
title="Gfax" \
longtitle="Gnome fax" \
needs="x11" \
section="Applications/Communications" \
icon="gfax.png"
EOF
)
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
# Set up the lpr link
BINDIR=/usr/bin
LPRBINDIR=/usr/bin

if [ ! -x $LPRBINDIR/lpr.dist ]; then
        mv $LPRBINDIR/lpr $LPRBINDIR/lpr.dist
        ln -s $BINDIR/lpr.gfax $BINDIR/lpr
        chmod +x $BINDIR/lpr
fi

%{update_menus}

%postun
# Reset the lpr link
BINDIR=/usr/bin
LPRBINDIR=/usr/bin

if [ -x $LPRBINDIR/lpr.dist ]; then
        rm -rf $LPRBINDIR/lpr
        mv $LPRBINDIR/lpr.dist $LPRBINDIR/lpr
fi

%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ-gfax
%{_bindir}/*
%{_datadir}/gfax
%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%{_libdir}/menu/*


%changelog
* Fri Jul 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-4mdk
- rebuild

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-3mdk
- Correct menu entry

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Recompiled against latest gnome-print
- Add locales

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- updated to 0.4.2

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- v0.3.8
- BM
- macros
- menu

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Dec 28 1999 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.5:
- - Added deleteFile to destination struct. Faxing from "Fax File" will no 
    longer delete your file and we can use this later for multiple faxing.
- - Added fax.allow and fax.deny file administration to gfax.
- - Removed fixed size for setup window.  Should work better with themes.
- - Removed all the signal calls from setup. Using autoconnect now.
- - Added the capability to enable or disable running faxrunq from cron.
- - Gfax properly deletes the tempory filename if the Exit button is pressed.

* Sun Dec 26 1999 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- wrote specfile for Mandrake contribs
